tpm2_send_command(8)

NAME
tpm2_send_command - Send a command to the TPM using the specified TCTI.

SYNOPSIS
tpm2_send_command [COMMON OPTIONS ] [TCTI OPTIONS ]

DESCRIPTION
tpm2_send_command is a command line tool used to send a TPM command to the TPM. The command is read from stdin as a binary stream and transmitted to the TPM using the TCTI specified by the caller. The response received from the TPM is written to stdout. Likely the caller will want to redirect this to a file or into a program to decode and display the response in a human readable form.

OPTIONS

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
Assuming that the caller has a binary TPM command buffer in a file named
    tpm2_send_command may be used to send this to the TPM simulator using the following command:

    tpm2_send_command --tcti=device < tpm2-command.bin > tpm2-response.bin